Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Class JMXManager

    java.lang.Object
      org.jivesoftware.openfire.JMXManager

    public class JMXManager

extends Object

Manages the JMX configuration for Openfire.

Author:
  Tom Evans

Field Summary
`static int` | `DEFAULT_PORT`

Constructor Summary
`JMXManager()`

Method Summary
`org.eclipse.jetty.jmx.MBeanContainer` | `getContainer()`
`static JMXManager` | `getInstance()`
`static int` | `getPort()` Returns the port number for the JMX connector.
`static boolean` | `isEnabled()` Returns true if JMX support is enabled.
`static boolean` | `isSecure()` Returns true if the JMX connector is configured to require Openfire admin credentials.
`void` | `setContainer(org.eclipse.jetty.jmx.MBeanContainer mbContainer)`
`static void` | `setEnabled(boolean enabled)`
`static void` | `setPort(int port)`
`static void` | `setSecure(boolean secure)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

Constructor Detail

### JMXManager

    public JMXManager()

Method Detail

### isSecure

    public static boolean isSecure()

  Returns true if the JMX connector is configured to require Openfire admin credentials. This option can be configured via the admin console or by setting the following system property:

          xmpp.jmx.secure=false (default: true)

  Returns:
    true if the JMX connector requires authentication

### setSecure

    public static void setSecure(boolean secure)

### getPort

    public static int getPort()

  Returns the port number for the JMX connector. This option can be configured via the admin console or by setting the following system property:

          xmpp.jmx.port=[port] (default: 1099)

  Returns:
    Port number for the JMX connector

### setPort

    public static void setPort(int port)

### isEnabled

    public static boolean isEnabled()

  Returns true if JMX support is enabled. This option can be configured via the admin console or by setting the following system property:

          xmpp.jmx.enabled=true (default: false)

  Returns:
    true if JMX support is enabled

### setEnabled

    public static void setEnabled(boolean enabled)

### getInstance

    public static JMXManager getInstance()

### getContainer

    public org.eclipse.jetty.jmx.MBeanContainer getContainer()

### setContainer

    public void setContainer(org.eclipse.jetty.jmx.MBeanContainer mbContainer)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.